package com.fs.watch.mapper;

import com.fs.watch.domain.DeviceMaterials;
import com.fs.watch.domain.vo.DeviceMaterialsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备物料信息Mapper接口
 *
 * @author fs
 * @date 2024-08-26
 */
public interface DeviceMaterialsMapper {
    /**
     * 查询设备物料信息
     *
     * @param id 设备物料信息主键
     * @return 设备物料信息
     */
    public DeviceMaterials selectDeviceMaterialsById(Long id);

    /**
     * 查询设备物料信息列表
     *
     * @param deviceMaterials 设备物料信息
     * @return 设备物料信息集合
     */
    public List<DeviceMaterialsVo> selectDeviceMaterialsList(DeviceMaterials deviceMaterials);

    /**
     * 新增设备物料信息
     *
     * @param deviceMaterials 设备物料信息
     * @return 结果
     */
    public int insertDeviceMaterials(DeviceMaterials deviceMaterials);

    /**
     * 修改设备物料信息
     *
     * @param deviceMaterials 设备物料信息
     * @return 结果
     */
    public int updateDeviceMaterials(DeviceMaterials deviceMaterials);

    /**
     * 删除设备物料信息
     *
     * @param id 设备物料信息主键
     * @return 结果
     */
    public int deleteDeviceMaterialsById(Long id);

    /**
     * 批量删除设备物料信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceMaterialsByIds(Long[] ids);

    Boolean updateCount(@Param("deviceId") String deviceId,@Param("type") int type,@Param("updateTime") String updateTime);
}
